<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'
import { type Product, getImageUrl } from '@/types/Product'
import { ref } from 'vue'

const receiptStore = useReceiptStore()
const props = defineProps<{
  product: Product
}>()
const emit = defineEmits<{
  selectedProduct: [Product] // selectedProduct(Product p)
}>()
const selected = function () {
  console.log('ProductCard: ' + props.product)
  receiptStore.pressProdcut(props.product)
  console.log(receiptStore.editedReceiptItem)
  emit('selectedProduct', props.product)
}
const sheetBackgroundColor = ref('#FFFFFF')
const changeBackgroundColor = (isMouseOver: any) => {
  // ฟังก์ชันที่เรียกเมื่อเมาส์เข้าหรือออกจาก v-sheet
  sheetBackgroundColor.value = isMouseOver ? '#yourNewColor' : '#FFFFFF'
}
</script>
<template>
  <v-sheet
    width="190"
    height="205"
    elevation="4"
    @click="selected"
    style="background-color: #ededed; border-radius: 15px; margin-left: 5px;"
    @mouseover="changeBackgroundColor(true)"
    @mouseleave="changeBackgroundColor(false)"
    :style="{ backgroundColor: sheetBackgroundColor }"
  >
    <v-img min-width="100" height="150" cover :src="getImageUrl(product)"></v-img>
    <div style="text-align: center">{{ product.name }} <br />{{ product.price }} บาท</div>
  </v-sheet>
</template>
